# Asterisk Project : Asterisk 13 ManagerEvent_MCID

Created by wikibot on Aug 08, 2014

# MCID

### Synopsis

Published when a malicious call ID request arrives.

### Description

### Syntax

    Event: MCID
    Channel: <value>
    ChannelState: <value>
    ChannelStateDesc: <value>
    CallerIDNum: <value>
    CallerIDName: <value>
    ConnectedLineNum: <value>
    ConnectedLineName: <value>
    AccountCode: <value>
    Context: <value>
    Exten: <value>
    Priority: <value>
    Uniqueid: <value>
    MCallerIDNumValid: <value>
    MCallerIDNum: <value>
    MCallerIDton: <value>
    MCallerIDNumPlan: <value>
    MCallerIDNumPres: <value>
    MCallerIDNameValid: <value>
    MCallerIDName: <value>
    MCallerIDNameCharSet: <value>
    MCallerIDNamePres: <value>
    MCallerIDSubaddr: <value>
    MCallerIDSubaddrType: <value>
    MCallerIDSubaddrOdd: <value>
    MCallerIDPres: <value>
    MConnectedIDNumValid: <value>
    MConnectedIDNum: <value>
    MConnectedIDton: <value>
    MConnectedIDNumPlan: <value>
    MConnectedIDNumPres: <value>
    MConnectedIDNameValid: <value>
    MConnectedIDName: <value>
    MConnectedIDNameCharSet: <value>
    MConnectedIDNamePres: <value>
    MConnectedIDSubaddr: <value>
    MConnectedIDSubaddrType: <value>
    MConnectedIDSubaddrOdd: <value>
    MConnectedIDPres: <value>

##### Arguments

- `Channel`
- `ChannelState` - A numeric code for the channel's current state, related to ChannelStateDesc
- `ChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `CallerIDNum`
- `CallerIDName`
- `ConnectedLineNum`
- `ConnectedLineName`
- `AccountCode`
- `Context`
- `Exten`
- `Priority`
- `Uniqueid`
- `MCallerIDNumValid`
- `MCallerIDNum`
- `MCallerIDton`
- `MCallerIDNumPlan`
- `MCallerIDNumPres`
- `MCallerIDNameValid`
- `MCallerIDName`
- `MCallerIDNameCharSet`
- `MCallerIDNamePres`
- `MCallerIDSubaddr`
- `MCallerIDSubaddrType`
- `MCallerIDSubaddrOdd`
- `MCallerIDPres`
- `MConnectedIDNumValid`
- `MConnectedIDNum`
- `MConnectedIDton`
- `MConnectedIDNumPlan`
- `MConnectedIDNumPres`
- `MConnectedIDNameValid`
- `MConnectedIDName`
- `MConnectedIDNameCharSet`
- `MConnectedIDNamePres`
- `MConnectedIDSubaddr`
- `MConnectedIDSubaddrType`
- `MConnectedIDSubaddrOdd`
- `MConnectedIDPres`

### Class

CALL

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538